=== debian/changelog ===
frobby (0.9.0-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.1.0.
    - Expand Description.
  * debian/rules
    - Disable parallel builds (Closes: #873426).
    - Set FORCE_SOURCE_DATE macro for reproducible builds of manual.
  * debian/watch
    - Bump to uscan 4 and use special strings.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 27 Aug 2017 20:00:04 -0400

frobby (0.9.0-4) unstable; urgency=medium

  * debian/control
    - Move all dependencies back to Build-Depends. Some documentation
      is shipped with the architecture-dependent package frobby, and
      so we need these dependencies on all architectures
      (Closes: #872020).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 13 Aug 2017 19:56:10 -0400

frobby (0.9.0-3) unstable; urgency=medium

  * debian/compat
    - Bump dephelper compatibility level to 10.
  * debian/control
    - Tidy up using wrap-and-sort.
    - Bump Standards-Version to 4.0.1.
    - Bump versioned dependency on debhelper to >= 10.
    - Add g++ (>= 4:7) to Build-Depends.
    - Add Build-Depends-Indep.
    - Use https protocol for Vcs-Browser.
    - Remove libfrobby-dbg in favor of automatically generated *-dbgsym
      packages.
  * debian/copyright
    - Update Format with https.
  * debian/patches/fix_test.patch
    - New patch; fix typo in test script by using '=' instead of '=='
      for string comparison.
  * debian/patches/fix_typos.patch
    - New patch; fix spelling errors.
  * debian/patches/reproducible_build.patch
    - New patch; remove \today macro from manual to allow for
      reproducible builds.
  * debian/rules
    - Update override_dh_strip target; use --dbgsym-migration.
    - Add override_dh_makeshlibs target to generate tight dependency
      due to GCC 7 transition (Closes: #871280).
  * debian/tests
    - Add autopkgtest support.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 12 Aug 2017 23:36:41 -0400

frobby (0.9.0-2) unstable; urgency=medium

  * debian/{control,copyright,frobby.1,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 03 Sep 2015 07:30:35 -0400

frobby (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #780548).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 19 Mar 2015 11:54:58 -0500
