=== debian/control ===
Source: frobby
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 10),
               dh-exec,
               doxygen,
               g++ (>= 4:7),
               ghostscript,
               libgmp-dev,
               texlive-font-utils,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 4.1.0
Homepage: http://www.broune.com/frobby/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/frobby.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/frobby.git

Package: frobby
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Computations with monomial ideals
 Frobby is a software system and project for computations with monomial ideals.
 Frobby is free software and it is intended as a vehicle for computational and
 mathematical research on monomial ideals.
 .
 The current functionality includes Euler characteristic, Hilbert series,
 maximal standard monomials, combinatorial optimization on monomial ideals,
 primary decomposition, irreducible decomposition, Alexander dual, associated
 primes, minimization and intersection of monomial ideals as well as the
 computation of Frobenius problems (using 4ti2) with very large numbers. Frobby
 is also able to translate between formats that can be used with several
 different computer systems, such as Macaulay 2, Monos, 4ti2, CoCoA4 and
 Singular. Thus Frobby can be used with any of those systems.

Package: libfrobby0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Computations with monomial ideals (shared library)
 Frobby is a software system and project for computations with monomial ideals.
 Frobby is free software and it is intended as a vehicle for computational and
 mathematical research on monomial ideals.
 .
 The current functionality includes Euler characteristic, Hilbert series,
 maximal standard monomials, combinatorial optimization on monomial ideals,
 primary decomposition, irreducible decomposition, Alexander dual, associated
 primes, minimization and intersection of monomial ideals as well as the
 computation of Frobenius problems (using 4ti2) with very large numbers. Frobby
 is also able to translate between formats that can be used with several
 different computer systems, such as Macaulay 2, Monos, 4ti2, CoCoA4 and
 Singular. Thus Frobby can be used with any of those systems.
 .
 This package contains the shared library.

Package: libfrobby-dev
Section: libdevel
Architecture: any
Depends: libfrobby0 (=${binary:Version}), ${misc:Depends}
Recommends: libfrobby-doc (=${binary:Version})
Multi-Arch: same
Description: Computations with monomial ideals (development tools)
 Frobby is a software system and project for computations with monomial ideals.
 Frobby is free software and it is intended as a vehicle for computational and
 mathematical research on monomial ideals.
 .
 The current functionality includes Euler characteristic, Hilbert series,
 maximal standard monomials, combinatorial optimization on monomial ideals,
 primary decomposition, irreducible decomposition, Alexander dual, associated
 primes, minimization and intersection of monomial ideals as well as the
 computation of Frobenius problems (using 4ti2) with very large numbers. Frobby
 is also able to translate between formats that can be used with several
 different computer systems, such as Macaulay 2, Monos, 4ti2, CoCoA4 and
 Singular. Thus Frobby can be used with any of those systems.
 .
 This package contains the development tools.

Package: libfrobby-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Computations with monomial ideals (library documentation)
 Frobby is a software system and project for computations with monomial ideals.
 Frobby is free software and it is intended as a vehicle for computational and
 mathematical research on monomial ideals.
 .
 The current functionality includes Euler characteristic, Hilbert series,
 maximal standard monomials, combinatorial optimization on monomial ideals,
 primary decomposition, irreducible decomposition, Alexander dual, associated
 primes, minimization and intersection of monomial ideals as well as the
 computation of Frobenius problems (using 4ti2) with very large numbers. Frobby
 is also able to translate between formats that can be used with several
 different computer systems, such as Macaulay 2, Monos, 4ti2, CoCoA4 and
 Singular. Thus Frobby can be used with any of those systems.
 .
 This package contains the library documentation.
