=== debian/tests/control ===
Tests: runtests
Depends: frobby
