=== debian/watch ===
version=4
http://www.broune.com/frobby/frobby_v@ANY_VERSION@@ARCHIVE_EXT@
