=== debian/changelog ===
frobby (0.9.1-1) unstable; urgency=medium

  * New upstream release.
    - Now maintained by the Macaulay2 developers.
  * debian/control
    - Update Homepage.
  * debian/copyright
    - Update Source.
  * debian/patches
    - Refresh and remove patches applied upstream.
  * debian/upstream/metadata
    - Add upstream metadata file.
  * debian/watch
    - Update download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 30 Jun 2020 21:45:18 -0400

frobby (0.9.0-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix doxygen requirements
  * Point Vcs fields to salsa.debian.org
  * Better solution for Build-Depends

  [ Doug Torrance ]
  * debian/compat
    - Remove file; no longer necessary now that we Build-Depend on
      debhelper-compat.
  * debian/control
    - Bump Standards-Version to 4.5.0.
    - Switch Build-Depend on debhelper to debhelper-compat.
    - Bump to debhelper compatibility level 13.
    - Set Section for libfrobby0 to libs.
    - Add Rules-Requires-Root field.
  * debian/libfrobby-doc.doc-base
    - Update path to documentation. After debhelper v11, it is installed
      under /usr/share/doc/libfrobby-dev, the path for the "main package".
  * debian/patches/avoid_doxygen_bug.patch
    - New patch to avoid a bug in doxygen which causes build failures.
  * debian/rules
    - Enable all hardening flags.
    - Add override_dh_install target. In particular, skip
      installation of _formula.* for the sake of reproducible
      builds.  Thanks to Chris Lamb <lamby@debian.org> for the
      patch (Closes: #942479).
    - Remove override_dh_strip target. It specified a the
      --dbgsym-migration argument and was added in version 0.9.0-3.
      As version 0.9.0-5 is now in stable, the migration is complete.
    - Adjust override_dh_makeshlibs target. -V option was added for a GCC 7
      transition in package version 0.9.0-3, but 0.9.0-5 is now in stable,
      so it has been removed.  But add an -X option so that the frobby
      executable doesn't trigger ldconfig.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/watch
    - Use https.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 25 May 2020 12:37:28 -0400
