=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: frobby
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               doxygen,
+               doxygen-latex,
                g++ (>= 4:7),
                ghostscript,
                libgmp-dev,
@@ -13,16 +13,18 @@
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
-               texlive-latex-recommended
-Standards-Version: 4.1.0
-Homepage: http://www.broune.com/frobby/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/frobby.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/frobby.git
+               texlive-latex-recommended,
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/science-team/frobby
+Vcs-Git: https://salsa.debian.org/science-team/frobby.git
+Homepage: https://github.com/Macaulay2/frobby
+Rules-Requires-Root: no
 
 Package: frobby
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Computations with monomial ideals
  Frobby is a software system and project for computations with monomial ideals.
  Frobby is free software and it is intended as a vehicle for computational and
@@ -39,9 +41,11 @@
 
 Package: libfrobby0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Computations with monomial ideals (shared library)
  Frobby is a software system and project for computations with monomial ideals.
  Frobby is free software and it is intended as a vehicle for computational and
@@ -59,11 +63,12 @@
  This package contains the shared library.
 
 Package: libfrobby-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Depends: libfrobby0 (=${binary:Version}), ${misc:Depends}
+Depends: libfrobby0 (=${binary:Version}),
+         ${misc:Depends}
 Recommends: libfrobby-doc (=${binary:Version})
-Multi-Arch: same
 Description: Computations with monomial ideals (development tools)
  Frobby is a software system and project for computations with monomial ideals.
  Frobby is free software and it is intended as a vehicle for computational and
@@ -81,10 +86,10 @@
  This package contains the development tools.
 
 Package: libfrobby-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: Computations with monomial ideals (library documentation)
  Frobby is a software system and project for computations with monomial ideals.
  Frobby is free software and it is intended as a vehicle for computational and
