=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-soname,libfrobby.so.0
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for reproducible builds of manual
export FORCE_SOURCE_DATE = 1

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- all library doc develDoc \
		MODE=shared library=libfrobby.so.0.0.0

override_dh_auto_install:
	dh_auto_install -- BIN_INSTALL_DIR=/usr/bin

override_dh_install:
	dh_install -X/_formulas.

# package-has-unnecessary-activation-of-ldconfig-trigger
override_dh_makeshlibs:
	dh_makeshlibs -Xbin
