=== debian/watch ===
version=4
https://github.com/Macaulay2/frobby/releases/ \
/Macaulay2/frobby/archive/v@ANY_VERSION@@ARCHIVE_EXT@
