=== Makefile ===
--- 
+++ 
@@ -1,10 +1,23 @@
 # ***** Variables
+
+
+# ========================
+# >>>>>  GMP set-up  <<<<<
+# ========================
+# For GMP set **both**  GMP_INC_DIR  **and**  ldflags_for_gmp
+# If you have a system installation of GMP with C++ support use next 2 lines:
+# GMP_INC_DIR=
+# ldflags_for_gmp=-lgmpxx -lgmp
+GMP_INC_DIR=/usr/local/include
+ldflags_for_gmp=-L/usr/local/lib -lgmpxx -lgmp
+
+
 
 rawSources := main.cpp Action.cpp IOParameters.cpp						\
   IrreducibleDecomAction.cpp fplllIO.cpp IOHandler.cpp fourti2.cpp		\
   randomDataGenerators.cpp MonosIOHandler.cpp BigIdeal.cpp				\
   TransformAction.cpp Macaulay2IOHandler.cpp NewMonosIOHandler.cpp		\
-  HelpAction.cpp stdinc.cpp DynamicFrobeniusAction.cpp					\
+  HelpAction.cpp DynamicFrobeniusAction.cpp					\
   dynamicFrobeniusAlgorithm.cpp GenerateIdealAction.cpp					\
   GenerateFrobeniusAction.cpp intersect.cpp FrobeniusAction.cpp			\
   Facade.cpp IOFacade.cpp DynamicFrobeniusFacade.cpp					\
@@ -213,7 +226,7 @@
 	rm -f bin/$(library)
 ifeq ($(MODE), shared)
 	$(CXX) -shared -o bin/$(library) $(ldflags) \
-	  $(patsubst $(outdir)main.o,,$(objs))
+	  $(patsubst $(outdir)main.o,,$(objs)) -lgmp -lgmpxx
 else
 	ar crs bin/$(library) $(patsubst $(outdir)main.o,,$(objs))
 	$(RANLIB) bin/$(library)
@@ -239,13 +252,15 @@
 
 -include $(objs:.o=.d)
 
+PREFIX ?= /usr/local
+MAN1DIR ?= $(PREFIX)/share/man/man1
+
 # Installation.
 install:
-	if [ "`uname|grep CYGWIN`" = "" ]; then \
-		sudo install bin/frobby $(BIN_INSTALL_DIR); \
-	else \
-		install bin/frobby $(BIN_INSTALL_DIR); \
-	fi  # Cygwin has no sudo
+	install -d $(DESTDIR)$(BIN_INSTALL_DIR)
+	install bin/frobby $(DESTDIR)$(BIN_INSTALL_DIR)
+	mkdir -p $(DESTDIR)$(MAN1DIR)
+	install -m 644 doc/frobby.1 $(DESTDIR)$(MAN1DIR)
 
 # ***** Documentation
 
@@ -333,15 +348,3 @@
 	  exit 1; \
 	fi
 
-	if [ ! -d sage/ ]; then echo "sage/ directory not found."; exit 1; fi
-# Ensure that previous builds have been cleaned up
-	rm -rf bin/sagetmp bin/frobby-$(VER) bin/frobby-$(VER).spkg
-
-	hg clone sage bin/sagetmp
-
-	mkdir bin/sagetmp/src
-	cp -r COPYING Makefile src test bin/sagetmp/src
-
-	mv bin/sagetmp bin/frobby-$(VER)
-	cd bin/; $(SAGE_ROOT)/sage -pkg `pwd`/frobby-$(VER)
-	rm -rf bin/frobby-$(VER)
