=== debian/changelog ===
frobby (0.9.5-4) unstable; urgency=medium

  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
    - Add 4ti2 to Suggests; needed for frobgrob script.
  * debian/copyright
    - Use leading spaces instead of tabs.
    - Update my copyright years.
  * debian/frobby.install
    - Install frobgrob script.
  * debian/libfrobby-dev.install
    - Install static library.
  * debian/patches/frobgrob.patch
    - New patch; fix paths to frobby and 4ti2 in frobgrob script.
  * debian/README.Debian
    - New file; document frobgrob script.
  * debian/rules
    - Switch override_dh_install target to override_dh_installdocs;
      properly exclude the _formulas.* files that were causing
      reproducibility issues.
    - Fix computation of soversion.
    - Build static library.
  * debian/salsa-ci.yml
    - Allow reprotest to fail.
  * debian/tests/control
    - Add autopkgtest for frobgrob script.
  * debian/watch
    - Upload download URL (releases -> tags).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 15 Nov 2021 22:29:37 -0500

frobby (0.9.5-3) unstable; urgency=medium

  * debian/control
    - Add libgmp-dev to Depends for libfrobby-dev since frobby.h contains
      "#include <gmp.h>".
    - Reformat using wrap-and-sort.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 20 Aug 2021 13:26:53 -0400

frobby (0.9.5-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/libfrobby*.links
    - Remove files; replace with override_dh_link target in d/rules so we
      can take advantage of variables containing soname version
      information.
  * debian/patches/frobby-version
    - New patch; go back to using constants::version instead of
      frobby_version (Closes: #992432).
  * debian/rules
    - Use variables for soname version to simplify maintenance.
  * debian/tests/{control,frobby-version.cpp}
    - New CI test to test compiling and linking against libfrobby.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 18 Aug 2021 11:36:49 -0400

frobby (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean
    - New file; remove some cruft from running tests.
  * debian/control
    - Bump Standards-Version to 4.5.1.
    - Fix extended-description-line-too-long Lintian warning
    - Drop dh-exec from Build-Depends.
    - Drop various build dependencies that were needed to build
      PDF/PostScript developer's documentation.
    - Add Build-Depends-Arch and Build-Depends-Indep to separate
      dependencies for building frobby itself and its manual from those
      needed for the developer's documentation.
  * debian/frobby.1
    - Remove file; manpage added upstream.
  * debian/frobby.doc{s,-base}
    - Stop shipping redundant PostScript documentation.
  * debian/frobby.manpages
    - Update path to upstream manpage.
  * debian/libfrobby{-dev.links,0.install,0.links}
    - Drop executable bit and dh-exec shebang; no longer necessary to use
      DEB_HOST_MULTIARCH substitution variable debhelper 13.
  * debian/libfrobby-doc.doc{s,-base}
    - Stop shipping redundant PDF and PostScript developer's documentation.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - New override_dh_auto_{test,install}-indep targets; skip these when
      just building the developer's documentation.  Also switch
      override_dh_auto_install to override_dh_auto_install-arch.
    - Only set soname in LDFLAGS when building library; this makes the
      override_dh_makeshlibs target unnecessary so we drop it.
  * debian/watch
    - Use more general regular expression for Github link.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 17 Aug 2021 17:33:24 -0400
