=== debian/control ===
--- 
+++ 
@@ -1,30 +1,22 @@
 Source: frobby
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-exec,
-               doxygen-latex,
-               g++ (>= 4:7),
-               ghostscript,
-               libgmp-dev,
-               texlive-font-utils,
-               texlive-fonts-recommended,
-               texlive-latex-base,
-               texlive-latex-extra,
-               texlive-latex-recommended,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/science-team/frobby
-Vcs-Git: https://salsa.debian.org/science-team/frobby.git
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: g++ (>= 4:7), libgmp-dev, texlive-latex-base
+Build-Depends-Indep: doxygen
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/math-team/frobby
+Vcs-Git: https://salsa.debian.org/math-team/frobby.git
 Homepage: https://github.com/Macaulay2/frobby
 Rules-Requires-Root: no
 
 Package: frobby
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: 4ti2
 Description: Computations with monomial ideals
  Frobby is a software system and project for computations with monomial ideals.
  Frobby is free software and it is intended as a vehicle for computational and
@@ -34,8 +26,8 @@
  maximal standard monomials, combinatorial optimization on monomial ideals,
  primary decomposition, irreducible decomposition, Alexander dual, associated
  primes, minimization and intersection of monomial ideals as well as the
- computation of Frobenius problems (using 4ti2) with very large numbers. Frobby
- is also able to translate between formats that can be used with several
+ computation of Frobenius problems (using 4ti2) with very mmlarge numbers.
+ Frobby is also able to translate between formats that can be used with several
  different computer systems, such as Macaulay 2, Monos, 4ti2, CoCoA4 and
  Singular. Thus Frobby can be used with any of those systems.
 
@@ -43,8 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Computations with monomial ideals (shared library)
  Frobby is a software system and project for computations with monomial ideals.
@@ -66,8 +57,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libfrobby0 (=${binary:Version}),
-         ${misc:Depends}
+Depends: libfrobby0 (=${binary:Version}), libgmp-dev, ${misc:Depends}
 Recommends: libfrobby-doc (=${binary:Version})
 Description: Computations with monomial ideals (development tools)
  Frobby is a software system and project for computations with monomial ideals.
