=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for reproducible builds of manual
export FORCE_SOURCE_DATE = 1

%:
	dh $@ --no-parallel

CURRENT    = 0
REVISION   = 0
AGE        = 0
SOVERSION := $(shell expr $(CURRENT) - $(AGE))
VERSION   := $(SOVERSION).$(AGE).$(REVISION)

override_dh_auto_build-arch:
	$(MAKE) all
	$(MAKE) library RANLIB=ranlib # static library
	$(MAKE) library MODE=shared \
		library=libfrobby.so.$(VERSION) \
		LDFLAGS="$(LDFLAGS) -Wl,-soname,libfrobby.so.$(SOVERSION)"
	$(MAKE) docPdf

override_dh_auto_build-indep:
	$(MAKE) develDocHtml

override_dh_auto_test-indep override_dh_auto_install-indep:

override_dh_auto_install-arch:
	dh_auto_install -- BIN_INSTALL_DIR=/usr/bin

override_dh_installdocs:
	dh_installdocs -X/_formulas.

override_dh_link:
	dh_link -plibfrobby$(SOVERSION) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libfrobby.so.$(VERSION) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libfrobby.so.$(SOVERSION)
	dh_link -plibfrobby-dev \
		usr/lib/$(DEB_HOST_MULTIARCH)/libfrobby.so.$(VERSION) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libfrobby.so
	dh_link --remaining-packages
