=== debian/tests/control ===
Tests: runtests
Depends: frobby

Test-Command: cp debian/tests/frobby-version.cpp $AUTOPKGTEST_TMP &&
 cd $AUTOPKGTEST_TMP &&
 g++ frobby-version.cpp -o frobby-version -lfrobby &&
 ./frobby-version
Depends: g++, libfrobby-dev

# frobgrob example from manual
Test-Command: cd $AUTOPKGTEST_TMP &&
 echo 1234567890001 348461546433 6484646532513541
 45464188888115164 1561484651561864468465310 > frob2 &&
 /usr/share/frobby/frobgrob frob2 | diff - <(echo 15111053020091472900)
Depends: 4ti2, frobby
Restrictions: allow-stderr
