=== debian/watch ===
version=4
https://github.com/Macaulay2/frobby/tags/ .*/v@ANY_VERSION@@ARCHIVE_EXT@
